Bug 1129262 - compute resource info Error: can't convert nil into Array
Summary: compute resource info Error: can't convert nil into Array
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Hammer
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Tomas Strachota
QA Contact: jcallaha
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-12 12:25 UTC by Ales Dujicek
Modified: 2017-02-23 21:06 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:14:08 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC
Foreman Issue Tracker 7699 None None None 2016-04-22 16:24:24 UTC

Description Ales Dujicek 2014-08-12 12:25:50 UTC
Description of problem:

cannot get Ovirt, GCE, Openstack compute-resource info

(# hammer -p changeme compute-resource create --name rhev-cr2 --provider Ovirt --url https://localhost --user user --password testing)

# hammer -v compute-resource info --name rhev-cr2

[ERROR 2014-08-12 08:15:02 Exception] Error: can't convert nil into Array
Error: can't convert nil into Array
[ERROR 2014-08-12 08:15:02 Exception] 

TypeError (can't convert nil into Array):
    /usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.1/lib/hammer_cli_foreman/compute_resource.rb:52:in `concat'
    /usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.1/lib/hammer_cli_foreman/compute_resource.rb:52:in `print_data'
    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.1/lib/hammer_cli/./apipie/command.rb:34:in `execute'
    /usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:67:in `run'
    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.1/lib/hammer_cli/./apipie/../abstract.rb:22:in `run'
    /usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/subcommand/execution.rb:11:in `execute'
    /usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:67:in `run'
    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.1/lib/hammer_cli/./apipie/../abstract.rb:22:in `run'
    /usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/subcommand/execution.rb:11:in `execute'
    /usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:67:in `run'
    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.1/lib/hammer_cli/./apipie/../abstract.rb:22:in `run'
    /usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:125:in `run'
    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.1/bin/hammer:102
    /usr/bin/hammer:19:in `load'
    /usr/bin/hammer:19



Version-Release number of selected component (if applicable):
Satellite-6.0.4-RHEL-6-20140806.0

Comment 2 Bryan Kearney 2014-09-26 19:08:17 UTC
Created redmine issue http://projects.theforeman.org/issues/7699 from this bug

Comment 3 Dominic Cleal 2014-12-12 17:14:02 UTC
Could you please run "hammer -d compute-resource info --name rhev-cr2" for full debug and provide/attach it?

Comment 4 Dominic Cleal 2014-12-12 17:14:38 UTC
If you have access to 6.1 or upstream, I'd appreciate you re-testing it as I wouldn't be surprised if it's fixed already.

Comment 5 Ales Dujicek 2014-12-15 13:50:29 UTC
this is Satellite-6.0.4-RHEL-6-20141211.0

# hammer -v -u admin -p changeme compute-resource info --id 25
[ERROR 2014-12-15 08:43:51 Exception] Error: can't convert nil into Array
Error: can't convert nil into Array
[ERROR 2014-12-15 08:43:51 Exception] 

TypeError (can't convert nil into Array):
    /usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.1/lib/hammer_cli_foreman/compute_resource.rb:52:in `concat'
    /usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.1/lib/hammer_cli_foreman/compute_resource.rb:52:in `print_data'
    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.1/lib/hammer_cli/./apipie/command.rb:34:in `execute'
    /usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:67:in `run'
    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.1/lib/hammer_cli/./apipie/../abstract.rb:22:in `run'
    /usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/subcommand/execution.rb:11:in `execute'
    /usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:67:in `run'
    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.1/lib/hammer_cli/./apipie/../abstract.rb:22:in `run'
    /usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/subcommand/execution.rb:11:in `execute'
    /usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:67:in `run'
    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.1/lib/hammer_cli/./apipie/../abstract.rb:22:in `run'
    /usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:125:in `run'
    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.1/bin/hammer:102
    /usr/bin/hammer:19:in `load'
    /usr/bin/hammer:19
[root@qe-sat6-rhel65 ~]# hammer -d -u admin -p changeme compute-resource info --id 25
[ INFO 2014-12-15 08:43:55 Init] Initialization of Hammer CLI (0.1.1) has started...
[DEBUG 2014-12-15 08:43:55 Init] Running at ruby 1.8.7-p352
[ INFO 2014-12-15 08:43:55 Init] Configuration from the file /etc/hammer/cli_config.yml has been loaded
[ INFO 2014-12-15 08:43:55 Init] Configuration from the file /etc/hammer/cli.modules.d/foreman.yml has been loaded
[ INFO 2014-12-15 08:43:55 Init] Configuration from the file /etc/hammer/cli.modules.d/import.yml has been loaded
[ INFO 2014-12-15 08:43:55 Init] Configuration from the file /etc/hammer/cli.modules.d/katello.yml has been loaded
[ INFO 2014-12-15 08:43:55 Modules] Extension module hammer_cli_import (0.10.4) loaded
[DEBUG 2014-12-15 08:43:55 Connection] Registered: foreman
[DEBUG 2014-12-15 08:43:55 API] Global headers: {
              :accept => "application/json;version=2",
    "Accept-Language" => "en",
        :content_type => "application/json"
}
[ INFO 2014-12-15 08:43:56 HammerCLI::MainCommand] subcommand organization (HammerCLIForeman::Organization) was removed.
[ INFO 2014-12-15 08:43:56 HammerCLI::MainCommand] subcommand organization (HammerCLIKatello::Organization) was created.
[ INFO 2014-12-15 08:43:57 Modules] Extension module hammer_cli_katello (0.0.4) loaded
[ INFO 2014-12-15 08:43:57 Modules] Extension module hammer_cli_foreman (0.1.1) loaded
[DEBUG 2014-12-15 08:43:57 Init] Using locale 'en'
[DEBUG 2014-12-15 08:43:57 Init] 'mo' files for locale domain 'hammer-cli' loaded from '/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.1/locale'
[DEBUG 2014-12-15 08:43:57 Init] 'mo' files for locale domain 'hammer-cli-foreman' loaded from '/usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.1/locale'
[DEBUG 2014-12-15 08:43:57 Init] 'mo' files for locale domain 'hammer-cli-katello' loaded from '/usr/lib/ruby/gems/1.8/gems/hammer_cli_katello-0.0.4/locale'
[ INFO 2014-12-15 08:43:57 HammerCLI::MainCommand] Called with options: {"option_debug"=>true, "option_username"=>"admin", "option_password"=>"***"}
[ INFO 2014-12-15 08:43:57 HammerCLIForeman::ComputeResource] Called with options: {}
[ INFO 2014-12-15 08:43:57 HammerCLIForeman::ComputeResource::InfoCommand] Called with options: {"option_id"=>"25"}
[ INFO 2014-12-15 08:43:57 API] GET /api/compute_resources/25
[DEBUG 2014-12-15 08:43:57 API] Params: {}
[DEBUG 2014-12-15 08:43:57 API] Headers: {
    :params => {}
}
[DEBUG 2014-12-15 08:43:57 API] Response {
                "images" => [],
            "updated_at" => "2014-12-15T13:31:12Z",
              "provider" => "RHEV",
                  "name" => "rhev-cr2",
                    "id" => 25,
    "compute_attributes" => [],
         "organizations" => [],
                   "url" => "https://localhost",
            "datacenter" => nil,
            "created_at" => "2014-12-15T13:31:12Z",
           "description" => nil,
                  "user" => "user",
             "locations" => []
}
[ERROR 2014-12-15 08:43:57 Exception] Error: can't convert nil into Array
Error: can't convert nil into Array
[ERROR 2014-12-15 08:43:57 Exception] 

TypeError (can't convert nil into Array):
    /usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.1/lib/hammer_cli_foreman/compute_resource.rb:52:in `concat'
    /usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.1/lib/hammer_cli_foreman/compute_resource.rb:52:in `print_data'
    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.1/lib/hammer_cli/./apipie/command.rb:34:in `execute'
    /usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:67:in `run'
    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.1/lib/hammer_cli/./apipie/../abstract.rb:22:in `run'
    /usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/subcommand/execution.rb:11:in `execute'
    /usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:67:in `run'
    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.1/lib/hammer_cli/./apipie/../abstract.rb:22:in `run'
    /usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/subcommand/execution.rb:11:in `execute'
    /usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:67:in `run'
    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.1/lib/hammer_cli/./apipie/../abstract.rb:22:in `run'
    /usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:125:in `run'
    /usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.1/bin/hammer:102
    /usr/bin/hammer:19:in `load'
    /usr/bin/hammer:19






and this is upstream nightly (foreman-1.8.0-0.develop.201412111740git287d974.el6.noarch)

# hammer -d -u admin -p changeme compute-resource info --id 28
[ INFO 2014-12-15 08:44:38 Init] Initialization of Hammer CLI (0.1.4) has started...
[DEBUG 2014-12-15 08:44:38 Init] Running at ruby 1.8.7-p352
[ INFO 2014-12-15 08:44:38 Init] Configuration from the file /etc/hammer/cli_config.yml has been loaded
[ INFO 2014-12-15 08:44:38 Init] Configuration from the file /etc/hammer/cli.modules.d/foreman.yml has been loaded
[ INFO 2014-12-15 08:44:38 Init] Configuration from the file /etc/hammer/cli.modules.d/foreman_bootdisk.yml has been loaded
[ INFO 2014-12-15 08:44:38 Init] Configuration from the file /etc/hammer/cli.modules.d/import.yml has been loaded
[ INFO 2014-12-15 08:44:38 Init] Configuration from the file /etc/hammer/cli.modules.d/katello.yml has been loaded
/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.4/lib/hammer_cli/./apipie/../abstract.rb:68: warning: already initialized constant DEFAULT_LABEL_INDENT
[DEBUG 2014-12-15 08:44:39 Connection] Registered: foreman
[DEBUG 2014-12-15 08:44:39 API] Global headers: {
    "Accept-Language" => "en",
              :accept => "application/json;version=2",
        :content_type => "application/json"
}
[ INFO 2014-12-15 08:44:39 Modules] Extension module hammer_cli_foreman (0.1.4) loaded
[ INFO 2014-12-15 08:44:39 Modules] Extension module hammer_cli_import (0.10.4) loaded
[ INFO 2014-12-15 08:44:39 HammerCLI::MainCommand] subcommand organization (HammerCLIForeman::Organization) was removed.
[ INFO 2014-12-15 08:44:39 HammerCLI::MainCommand] subcommand organization (HammerCLIKatello::Organization) was created.
[ INFO 2014-12-15 08:44:39 Modules] Extension module hammer_cli_katello (0.0.6) loaded
[DEBUG 2014-12-15 08:44:39 Init] Using locale 'en'
[DEBUG 2014-12-15 08:44:39 Init] 'mo' files for locale domain 'hammer-cli' loaded from '/usr/lib/ruby/gems/1.8/gems/hammer_cli-0.1.4/locale'
[DEBUG 2014-12-15 08:44:39 Init] 'mo' files for locale domain 'hammer-cli@system' loaded from '/usr/share/locale'
[DEBUG 2014-12-15 08:44:39 Init] 'mo' files for locale domain 'hammer-cli-foreman' loaded from '/usr/lib/ruby/gems/1.8/gems/hammer_cli_foreman-0.1.4/locale'
[DEBUG 2014-12-15 08:44:39 Init] 'mo' files for locale domain 'hammer-cli-foreman@system' loaded from '/usr/share/locale'
[DEBUG 2014-12-15 08:44:39 Init] 'mo' files for locale domain 'hammer-cli-katello' loaded from '/usr/lib/ruby/gems/1.8/gems/hammer_cli_katello-0.0.6/locale'
[ INFO 2014-12-15 08:44:39 HammerCLI::MainCommand] Called with options: {"option_debug"=>true, "option_username"=>"admin", "option_password"=>"***"}
[ INFO 2014-12-15 08:44:39 HammerCLIForeman::ComputeResource] Called with options: {}
[ INFO 2014-12-15 08:44:39 HammerCLIForeman::ComputeResource::InfoCommand] Called with options: {"option_id"=>"28"}
[ INFO 2014-12-15 08:44:39 API] GET /api/compute_resources/28
[DEBUG 2014-12-15 08:44:39 API] Params: {}
[DEBUG 2014-12-15 08:44:39 API] Headers: {
    :params => {}
}
[DEBUG 2014-12-15 08:44:39 API] Response: {
         "organizations" => [],
             "locations" => [],
                "images" => [],
                  "user" => "user",
                    "id" => 28,
            "created_at" => "2014-12-15T13:39:42Z",
    "compute_attributes" => [],
            "updated_at" => "2014-12-15T13:39:42Z",
              "provider" => "oVirt",
           "description" => nil,
            "datacenter" => nil,
                   "url" => "https://localhost",
                  "name" => "rhev-cr2"
}
[DEBUG 2014-12-15 08:44:39 API] Response headers: {
          :cache_control => "must-revalidate, private, max-age=0",
             :connection => "close",
                 :status => "200 OK",
              :x_runtime => "0.076470",
      :transfer_encoding => "chunked",
           :x_rack_cache => "miss",
        :foreman_version => "1.8.0-develop",
        :x_ua_compatible => "IE=Edge,chrome=1",
                   :date => "Mon, 15 Dec 2014 13:44:39 GMT",
                   :etag => "\"e52b817941674f9e8631f4a0d50d3fef\"",
        :apipie_checksum => "0411f723f58d8d43bfc9c506a86d56a0",
                 :server => "Apache/2.2.15 (Red Hat)",
           :x_powered_by => "Phusion Passenger 4.0.18",
    :foreman_api_version => "2",
             :set_cookie => [
        [0] "_session_id=BAh7B0kiD3Nlc3Npb25faWQGOgZFRkkiJWVmNzJjYTg3NTQ4M2Q4MDA0NTk5ZTdjZDc1NWU0ODcxBjsAVEkiC2xvY2FsZQY7AEYiB2Vu--8d18989095096112c400725b433458793deddec0; path=/; HttpOnly"
    ],
           :content_type => "application/json; charset=utf-8",
           :x_request_id => "7c2291fbb5b859a3fd613f3dbc141676"
}
Id:          28
Name:        rhev-cr2
Provider:    oVirt
Url:         https://localhost
Description: 
User:        user
Created at:  2014/12/15 13:39:42
Updated at:  2014/12/15 13:39:42
UUID:

Comment 6 Dominic Cleal 2014-12-15 16:02:51 UTC
Alright, who knows where it was fixed, but since it works now, setting to POST.

Comment 9 jcallaha 2015-02-13 19:15:24 UTC
Failed QA. Error still persists on:

Satellite-6.1.0-RHEL-6-20150210.0
Satellite-6.1.0-RHEL-7-20150210.0


[root@rhsm-qe-1 ~]# hammer -d -u <user> -p <pass> compute-resource info --name rhev-cr2
[ INFO 2015-02-13 14:07:59 Init] Initialization of Hammer CLI (0.1.4) has started...
[DEBUG 2015-02-13 14:07:59 Init] Running at ruby 2.0.0-p353
[ INFO 2015-02-13 14:07:59 Init] Configuration from the file /etc/hammer/cli_config.yml has been loaded
[ INFO 2015-02-13 14:07:59 Init] Configuration from the file /etc/hammer/cli.modules.d/foreman.yml has been loaded
[ INFO 2015-02-13 14:07:59 Init] Configuration from the file /etc/hammer/cli.modules.d/foreman_bootdisk.yml has been loaded
[ INFO 2015-02-13 14:07:59 Init] Configuration from the file /etc/hammer/cli.modules.d/gutterball.yml has been loaded
[ INFO 2015-02-13 14:07:59 Init] Configuration from the file /etc/hammer/cli.modules.d/import.yml has been loaded
[ INFO 2015-02-13 14:07:59 Init] Configuration from the file /etc/hammer/cli.modules.d/katello.yml has been loaded
[DEBUG 2015-02-13 14:07:59 Connection] Registered: foreman
[DEBUG 2015-02-13 14:07:59 API] Global headers: {
        :content_type => "application/json",
              :accept => "application/json;version=2",
    "Accept-Language" => "en"
}
[ INFO 2015-02-13 14:07:59 Modules] Extension module hammer_cli_foreman (0.1.4) loaded
[ INFO 2015-02-13 14:07:59 Modules] Extension module hammer_cli_import (0.10.6) loaded
[ INFO 2015-02-13 14:08:00 HammerCLI::MainCommand] subcommand organization (HammerCLIForeman::Organization) was removed.
[ INFO 2015-02-13 14:08:00 HammerCLI::MainCommand] subcommand organization (HammerCLIKatello::Organization) was created.
[ INFO 2015-02-13 14:08:00 Modules] Extension module hammer_cli_katello (0.0.7) loaded
[DEBUG 2015-02-13 14:08:00 Init] Using locale 'en'
[DEBUG 2015-02-13 14:08:00 Init] 'mo' files for locale domain 'hammer-cli' loaded from '/usr/share/gems/gems/hammer_cli-0.1.4/locale'
[DEBUG 2015-02-13 14:08:00 Init] 'mo' files for locale domain 'hammer-cli@system' loaded from '/usr/share/locale'
[DEBUG 2015-02-13 14:08:00 Init] 'mo' files for locale domain 'hammer-cli-foreman' loaded from '/usr/share/gems/gems/hammer_cli_foreman-0.1.4/locale'
[DEBUG 2015-02-13 14:08:00 Init] 'mo' files for locale domain 'hammer-cli-foreman@system' loaded from '/usr/share/locale'
[DEBUG 2015-02-13 14:08:00 Init] 'mo' files for locale domain 'hammer-cli-katello' loaded from '/usr/share/gems/gems/hammer_cli_katello-0.0.7/locale'
[ INFO 2015-02-13 14:08:00 HammerCLI::MainCommand] Called with options: {"option_debug"=>true, "option_username"=>"admin", "option_password"=>"***"}
[ INFO 2015-02-13 14:08:00 HammerCLIForeman::ComputeResource] Called with options: {}
[ INFO 2015-02-13 14:08:00 HammerCLIForeman::ComputeResource::InfoCommand] Called with options: {"option_name"=>"rhev-cr2"}
[ INFO 2015-02-13 14:08:00 API] GET /api/compute_resources
[DEBUG 2015-02-13 14:08:00 API] Params: {
    :search => "name = \"rhev-cr2\""
}
[DEBUG 2015-02-13 14:08:00 API] Headers: {
    :params => {
        :search => "name = \"rhev-cr2\""
    }
}
[DEBUG 2015-02-13 14:08:00 API] Response: {
       "total" => 1,
    "subtotal" => 1,
        "page" => 1,
    "per_page" => 20,
      "search" => "name = \"rhev-cr2\"",
        "sort" => {
           "by" => nil,
        "order" => nil
    },
     "results" => [
        [0] {
                     "id" => 1,
                   "name" => "rhev-cr2",
               "provider" => "RHEV",
            "description" => nil,
                    "url" => "https://localhost",
             "created_at" => "2015-02-13T18:52:57Z",
             "updated_at" => "2015-02-13T18:52:57Z",
                   "user" => "admin",
             "datacenter" => nil
        }
    ]
}
[DEBUG 2015-02-13 14:08:00 API] Response headers: {
                   :date => "Fri, 13 Feb 2015 19:08:00 GMT",
                 :server => "Apache/2.4.6 (Red Hat)",
        :foreman_version => "1.7.2",
    :foreman_api_version => "2",
        :apipie_checksum => "0eb1b7502c797450078887a7d12fa0fe",
        :x_ua_compatible => "IE=Edge,chrome=1",
          :cache_control => "must-revalidate, private, max-age=0",
           :x_request_id => "1fc6aeab3f1a177e46440d3783552354",
              :x_runtime => "0.045116",
           :x_rack_cache => "miss",
           :x_powered_by => "Phusion Passenger 4.0.18",
             :set_cookie => [
        [0] "_session_id=BAh7B0kiD3Nlc3Npb25faWQGOgZFRkkiJTMxOWQ4NzEzMTMwNWQ3MTNmNTU3ZTNiZDE5MmYwMzNhBjsAVEkiC2xvY2FsZQY7AEYiB2Vu--445bfae1dcc2fbe4493e6a00270123892a7aa2d5; path=/; HttpOnly"
    ],
                   :etag => "\"70b861d313dea2fa4a3c507e6f95c172\"",
                 :status => "200 OK",
             :connection => "close",
      :transfer_encoding => "chunked",
           :content_type => "application/json; charset=utf-8"
}
[ INFO 2015-02-13 14:08:00 API] GET /api/compute_resources/1
[DEBUG 2015-02-13 14:08:00 API] Params: {}
[DEBUG 2015-02-13 14:08:00 API] Headers: {
    :params => {}
}
[DEBUG 2015-02-13 14:08:00 API] Response: {
                    "id" => 1,
                  "name" => "rhev-cr2",
              "provider" => "RHEV",
           "description" => nil,
                   "url" => "https://localhost",
            "created_at" => "2015-02-13T18:52:57Z",
            "updated_at" => "2015-02-13T18:52:57Z",
                  "user" => "admin",
            "datacenter" => nil,
             "locations" => [],
         "organizations" => [],
                "images" => [],
    "compute_attributes" => []
}
[DEBUG 2015-02-13 14:08:00 API] Response headers: {
                   :date => "Fri, 13 Feb 2015 19:08:00 GMT",
                 :server => "Apache/2.4.6 (Red Hat)",
        :foreman_version => "1.7.2",
    :foreman_api_version => "2",
        :apipie_checksum => "0eb1b7502c797450078887a7d12fa0fe",
        :x_ua_compatible => "IE=Edge,chrome=1",
          :cache_control => "must-revalidate, private, max-age=0",
           :x_request_id => "d9b5f85d2c0d8c4f557550bcf4b37581",
              :x_runtime => "0.032887",
           :x_rack_cache => "miss",
           :x_powered_by => "Phusion Passenger 4.0.18",
             :set_cookie => [
        [0] "_session_id=BAh7B0kiD3Nlc3Npb25faWQGOgZFRkkiJTVkNTYyNDAyN2Y0YThkMzc1NDJlZjY5ZDgyMzY3MjI2BjsAVEkiC2xvY2FsZQY7AEYiB2Vu--f42cd4d8f91da62eb892a624b50a71ad6fd9541a; path=/; HttpOnly"
    ],
                   :etag => "\"d90bfb02612fa8fde3cf27f50b50fdaa\"",
                 :status => "200 OK",
             :connection => "close",
      :transfer_encoding => "chunked",
           :content_type => "application/json; charset=utf-8"
}
[ERROR 2015-02-13 14:08:00 Exception] Error: no implicit conversion of nil into Array
Error: no implicit conversion of nil into Array
[ERROR 2015-02-13 14:08:00 Exception] 

TypeError (no implicit conversion of nil into Array):
    /usr/share/gems/gems/hammer_cli_foreman-0.1.4/lib/hammer_cli_foreman/compute_resource.rb:52:in `concat'
    /usr/share/gems/gems/hammer_cli_foreman-0.1.4/lib/hammer_cli_foreman/compute_resource.rb:52:in `print_data'
    /usr/share/gems/gems/hammer_cli-0.1.4/lib/hammer_cli/apipie/command.rb:35:in `execute'
    /usr/share/gems/gems/clamp-0.6.2/lib/clamp/command.rb:67:in `run'
    /usr/share/gems/gems/hammer_cli-0.1.4/lib/hammer_cli/abstract.rb:23:in `run'
    /usr/share/gems/gems/clamp-0.6.2/lib/clamp/subcommand/execution.rb:11:in `execute'
    /usr/share/gems/gems/clamp-0.6.2/lib/clamp/command.rb:67:in `run'
    /usr/share/gems/gems/hammer_cli-0.1.4/lib/hammer_cli/abstract.rb:23:in `run'
    /usr/share/gems/gems/clamp-0.6.2/lib/clamp/subcommand/execution.rb:11:in `execute'
    /usr/share/gems/gems/clamp-0.6.2/lib/clamp/command.rb:67:in `run'
    /usr/share/gems/gems/hammer_cli-0.1.4/lib/hammer_cli/abstract.rb:23:in `run'
    /usr/share/gems/gems/clamp-0.6.2/lib/clamp/command.rb:125:in `run'
    /usr/share/gems/gems/hammer_cli-0.1.4/bin/hammer:108:in `<top (required)>'
    /usr/bin/hammer:23:in `load'
    /usr/bin/hammer:23:in `<main>'

Comment 10 Elyézer Rezende 2015-03-10 14:25:40 UTC
It is also failing for Docker-based Compute Resource

Comment 12 Elyézer Rezende 2015-03-10 14:40:00 UTC
This is blocking the following workflow:

Create a compute resource
Get its information, like its ID
Create another entity which depends on a compute resource.

Comment 15 jcallaha 2015-05-13 18:05:59 UTC
Verified in Satellite 6.1 Snap 3.

Comment 16 Bryan Kearney 2015-08-11 13:26:58 UTC
This bug is slated to be released with Satellite 6.1.

Comment 17 errata-xmlrpc 2015-08-12 05:14:08 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.